Toybrick

如何升级rknn api 的 DRV到0.96

hjf515

中级会员

积分
213
发表于 2019-8-26 19:31:01    查看: 3828|回复: 10 | [复制链接]    打印 | 显示全部楼层

我想在rk3399pro开发板上跑rock-x,它要求rknnapi的DRV版本为0.96,但我运行程序,打印出的DRV版本是0.91。
请问如何将DRV版本升级到0.96。

[toybrick@localhost build]$ ./rknn_ssd
spec = local:transfer_proxy
D RKNNAPI: ==============================================
D RKNNAPI: RKNN VERSION:
D RKNNAPI:   API: 0.9.5 (a949908 build: 2019-05-07 22:20:43)
D RKNNAPI:   DRV: 0.91 (237fb1a build: 2018-12-29 16:46:59)
D RKNNAPI: ==============================================


回复

使用道具 举报

jefferyzhang

论坛元老

积分
10455
发表于 2019-8-26 21:11:48 | 显示全部楼层
dnf update 整个系统
回复

使用道具 举报

hjf515

中级会员

积分
213
 楼主| 发表于 2019-8-27 09:53:51 | 显示全部楼层
多谢解答!
我之前使用的系统是一个比较老的版本,后面更新系统到新释放的 image-TB-RK3399ProD-Release-V1.3 就可以了。
回复

使用道具 举报

bai

新手上路

积分
48
发表于 2022-4-11 19:05:18 | 显示全部楼层

dnf update TB-RK3399ProD_Release_V3.1.rar,这句代码是不是就可以更新rknnapi 驱动drv到最新版本
回复

使用道具 举报

jefferyzhang

论坛元老

积分
10455
发表于 2022-4-11 20:51:58 | 显示全部楼层
bai 发表于 2022-4-11 19:05
dnf update TB-RK3399ProD_Release_V3.1.rar,这句代码是不是就可以更新rknnapi 驱动drv到最新版本 ...

帖子已经过期3年多了,目前用的是debian apt,并且请先烧最新固件
回复

使用道具 举报

bai

新手上路

积分
48
发表于 2022-4-12 09:11:49 | 显示全部楼层
jefferyzhang 发表于 2022-4-11 20:51
帖子已经过期3年多了,目前用的是debian apt,并且请先烧最新固件

TB-RK3399ProD_Release_V3.1.rar,这个是我新下载的固件,该怎样烧录
回复

使用道具 举报

jefferyzhang

论坛元老

积分
10455
发表于 2022-4-12 10:06:19 | 显示全部楼层
bai 发表于 2022-4-12 09:11
TB-RK3399ProD_Release_V3.1.rar,这个是我新下载的固件,该怎样烧录

看看WIKI
回复

使用道具 举报

bai

新手上路

积分
48
发表于 2022-4-13 16:46:40 | 显示全部楼层

请问下该怎么吧rknn 的DRV升级到1.6.1呢
回复

使用道具 举报

jefferyzhang

论坛元老

积分
10455
发表于 2022-4-13 17:39:13 | 显示全部楼层
bai 发表于 2022-4-13 16:46
请问下该怎么吧rknn 的DRV升级到1.6.1呢

烧最新固件就是1.7.1目前。
不支持回退版本
回复

使用道具 举报

HeinzGong

注册会员

积分
123
发表于 2022-8-1 17:17:20 | 显示全部楼层
jefferyzhang 发表于 2022-4-13 17:39
烧最新固件就是1.7.1目前。
不支持回退版本

3399proD最新的系统3.1,是1.6.0的版本。。不是1.7.1
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表